<?xml version="1.0"?>
<!DOCTYPE bindings [
<!ENTITY % globalDTD SYSTEM "chrome://global/locale/global.dtd">
%globalDTD;
<!ENTITY % browserDTD SYSTEM "chrome://browser/locale/browser.dtd">
%browserDTD;
]>
<overlay xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
  <script type="application/javascript" src="ctrlTab.js"/>
  <commandset id="mainCommandSet">
    <command id="Browser:ShowAllTabs" oncommand="allTabs.open();"/>
  </commandset>
  <keyset id="mainKeyset">
    <key id="key_showAllTabs" command="Browser:ShowAllTabs" keycode="VK_TAB" modifiers="control,shift"/>
    <key id="key_showAllTabs2" command="Browser:ShowAllTabs" key="a" modifiers="accel,shift"/>
  </keyset>
  <popupset id="mainPopupSet">
    <panel id="ctrlTab-panel" class="KUI-panel" hidden="true" norestorefocus="true" level="top">
      <hbox>
        <button class="ctrlTab-thumbnail" flex="1"/>
        <button class="ctrlTab-thumbnail" flex="1"/>
        <button class="ctrlTab-thumbnail" flex="1"/>
        <button class="ctrlTab-thumbnail" flex="1"/>
        <button class="ctrlTab-thumbnail" flex="1"/>
        <button class="ctrlTab-thumbnail" flex="1"/>
        <button class="ctrlTab-thumbnail" flex="1"/>
      </hbox>
      <hbox pack="center">
        <button id="ctrlTab-showAll" class="ctrlTab-thumbnail" noicon="true"/>
      </hbox>
    </panel>

    <panel id="allTabs-panel" hidden="true" ignorekeys="true"
           onmouseover="allTabs._updateTabCloseButton(event);"
           onkeypress="allTabs._onKeyPress(event);"
           chromedir="&locale.dir;">
      <hbox id="allTabs-meta" align="center">
        <spacer flex="1"/>
        <textbox id="allTabs-filter"
                 tooltiptext="Search Tabs"
                 type="search"
                 oncommand="allTabs.filter();"/>
        <spacer flex="1"/>
        <toolbarbutton class="KUI-panel-closebutton"
                       oncommand="allTabs.close()"
                       tooltiptext="&closeCmd.label;"/>
      </hbox>
      <stack id="allTabs-stack">
        <box id="allTabs-container"/>
        <toolbarbutton id="allTabs-tab-close-button"
                       class="tab-close-button"
                       oncommand="allTabs.closeTab(event);"
                       tooltiptext="&closeCmd.label;"
                       style="visibility:hidden"/>
      </stack>
    </panel>
  </popupset>
</overlay>
